Connecting to Oracle 7.3 and Oracle 8

Hi,

We've developed several PB applications that use Oracle 7.3. Now, we're
moving some of the development to Oracle 8. We're trying to figure out how
to set up developers' machines in the interim so that all applications will
function normally.

We have to decide which version of SQL*Net to use and which PB database
interface for each application. Can we use different SQL*Net and interface
on the same computer? So far, I can only use one version of SQL*Net during
runtime (whichever one comes first in the system path). Also, during
runtime, the PB database interface must match the version of SQL*Net that is
found. (Otherwise I get "DBMS xxx is not supported in your current
installation.") During development (the database painter), almost anything
will work.

So, am I right? If so, which version should we use to connect to both
databases? Are there any limitations when using 7.3 drivers to access 8 or 8
drivers to access 7.3?

TIA

Stephanie Giovannini
REJIS Commission
sgiovann@rejis.org





0
Stephanie
1/26/1999 7:34:04 PM
sybase.powerbuilder.connection 3893 articles. 0 followers. Follow

2 Replies
833 Views

Similar Articles

[PageSpeed] 44

Stick with the 7.3 drivers, unless you need Oracle 8 specific functionality.
SQLNet 2.3 will talk just fine to Oracle 8.
Net8 and SQLNet2 can coexist, so developers can use both OR8 and O73 drivers
if desired.

--
Terry Dykstra (TeamPS)
Canadian Forest Oil Ltd.
Stephanie Giovannini wrote in message ...
>Hi,
>
>We've developed several PB applications that use Oracle 7.3. Now, we're
>moving some of the development to Oracle 8. We're trying to figure out how
>to set up developers' machines in the interim so that all applications will
>function normally.
>
>We have to decide which version of SQL*Net to use and which PB database
>interface for each application. Can we use different SQL*Net and interface
>on the same computer? So far, I can only use one version of SQL*Net during
>runtime (whichever one comes first in the system path). Also, during
>runtime, the PB database interface must match the version of SQL*Net that
is
>found. (Otherwise I get "DBMS xxx is not supported in your current
>installation.") During development (the database painter), almost anything
>will work.
>
>So, am I right? If so, which version should we use to connect to both
>databases? Are there any limitations when using 7.3 drivers to access 8 or
8
>drivers to access 7.3?
>
>TIA
>
>Stephanie Giovannini
>REJIS Commission
>sgiovann@rejis.org
>
>
>
>
>


0
Terry
1/26/1999 11:42:44 PM
On Tue, 26 Jan 1999 13:34:04 -0600,
 in powersoft.public.powerbuilder.connectivity
Stephanie Giovannini <sgiovann@rejis.org> wrote: 
>Hi,
>
>We've developed several PB applications that use Oracle 7.3. Now, we're
>moving some of the development to Oracle 8. We're trying to figure out how
>to set up developers' machines in the interim so that all applications will
>function normally.
>
>We have to decide which version of SQL*Net to use and which PB database
>interface for each application. Can we use different SQL*Net and interface
>on the same computer? So far, I can only use one version of SQL*Net during
>runtime (whichever one comes first in the system path). Also, during
>runtime, the PB database interface must match the version of SQL*Net that is
>found. (Otherwise I get "DBMS xxx is not supported in your current
>installation.") During development (the database painter), almost anything
>will work.
>
>So, am I right? If so, which version should we use to connect to both
>databases? Are there any limitations when using 7.3 drivers to access 8 or 8
>drivers to access 7.3?
>
>TIA
>
>Stephanie Giovannini
>REJIS Commission
>sgiovann@rejis.org
>
Stephanie,

to make life simple I'd suggest using Net8 for access to both Oracle 7.x and
8.x.

Set up a different DB profile in PB for use with either O73 or OR8 ( or use just
O73 for both if you do not need to access any Oracle specific features ) 

I've been using Net8 with O73 against both an Oracle 7.3.4.3 and Oracle 8.04
without any problems.


HTH

Oliver Willandsen
European Commission - http://europa.eu.int
Remove PAS_DE_PUB from Email adress

All comments represent my own opinion and may not in any circumstance
be regarded as stating an official position of the European Commission

European Parliament - http://europarl.eu.int
European Council - http://ue.eu.int 
European Central Bank - http://www.ecb.int

EURO - European Common Currency - http://europa.eu.int/eurobirth/index.html 

Other European Union sites - http://europa.eu.int/en/agencies.html
or
http://europa.eu.int/index-en.htm
0
Oliver
1/27/1999 4:23:51 PM
Reply:

Similar Artilces:

Connecting PB 5.0.03 to Oracle 8 (NT) through SQL Net v2 with driver for Oracle 7.3 of PB
Can anyone assist me on Connecting PB 5.0.03 to Oracle 8 (NT) through SQL Net v2 with driver for Oracle 7.3 of PB ? Thank you very much in advance. -- John Fotiadis Direct +30 94-464225 Senior Systems Engineer Relational Technology S.A. In article <34979B76.67A813A8@sybase.com.gr>, johnf@sybase.com.gr says... > Can anyone assist me on Connecting PB 5.0.03 to Oracle 8 (NT) through > SQL Net v2 with driver for Oracle 7.3 of PB ? > > Thank you very much in advance. > > -- > John Fotiadis > Direct +30 94-464225 > Senior Systems Enginee...

Do I need to install both oracle 7.3 and oracle 8 clients to work my PB applications some with ora 7.3 and some ora 8?
Hi, My PB5 application uses Oracle 7.3 and PB8 applications uses oracle 8i. Do I need to install both Oracle 7.3 and Oracle 8 clients to deploy my PB 5 and PB 8 application. Please comment Thanks Mulinti I've answered this elsewhere. -- Terry Dykstra (TeamSybase) Please state PB / OS / DB versions in your post. SDN: http://www.sybase.com/developer/ http://www.pb9books.com <Mulinti> wrote in message news:D3D0347141F544BB0059FE7585256CBD.0059FE8585256CBD@webforums... > Hi, > > My PB5 application uses Oracle 7.3 and PB8 applications uses oracle 8i....

Connecting PB 7 to Oracle 7.3 #3
Hi I have a problem ...

PB 7.0.3 Build 10108 connect problems to Oracle 8.1.7
I am trying to run an application that I migrated to PB 7.0.3 from PB 6.5 using an Oracle 8.1.7 database. I can connect to the database through all normal means (SQL Worksheet, SQL Plus, Powerbuilder Database Painter, previewing data windows, etc) but when I run the application I receive an error "999 DBMS is not supported in your current installation" after issuing the "Connect using SQLCA" statement. I have checked all things such as 1. Installed Oracle 8.1.7 client software in location on hard drive and made sure it was the only Oracle location refer...

Connecting to Oracle 8 using PB 7 Oracle Drivers
We're in the midst of testing a migration from Oracle 7.3.3 to Oracle 8. The environment is currently as follows: PowerBuilder 7.0.3 / Build 10108 SQLNet: 2.3.3 Oracle 8.1.7.3 If possible, we'd like to continue using PowerBuilder 7 interfaces to Oracle 8 (i.e. using PBO7370.DLL; DBMS = O73 Oracle 7.3). Initial tests using the Oracle 7 drivers here are successful but I'm concerned that we could run into problems later. (We're not planning on adding any Oracle 8 functionality to the applications at the moment). Is this a rather non-standard connection environ...

Connecting PowerBuilder 6.5 with an Oracle 7.3 Database in a Novell Netware 3.12 Server
Ladies and Gentlemen: I didn't know if some of you have these problem, but I solve this one in a simple way. We have two servers in our company, one is a Windows NT Server and other is our Novell Netware 3.12 Server. Right know, our clients are accesing the data from the Netware 3.12 to the NT Server, but our clients are using in line the systems developed in PowerBuilder 4.0 Also we are migrating from PB 4.0 to PB 6.5 (How a jump), but we need the connection with the 3.12 server to recompile all our functions and so on.... I just update the Netware Client from Windows wi...

Oracle Connection Cache with 3.5 and Oracle 8.1.5
Anybody got any idea??? Isn't Oracle 8.1.5 supported?? TIA, Darko Guberina, ConNova Systems Hi, I have the same problem as you guys. I'm running oracle 8i also and I also noticed that the ConnCache lib it empty. Jaguar also complains about: Mar 09 00:04:07 2000: AFLIB Message: 18011/11/0: DLL lookup for 'af_dll_lookup()' failed, OS Message: 'xa80.dll' even though that file exists in my path. Best Regards, Darko "Chris J. Frattinger" wrote: > I just had the same thing happen to me this morning. > I uninstalled the Oracle 8.0.5...

How to connect to Oracle 8.1.6 from PowerBuilder 7
Hi there, I am new to PowerBuilder and have troubles to connect to Oracle 8.1.6 from Powerbuilder 7. I have a book on PB7, and it says PB7 can connect to Oracle up to 8.0.4. Can I connect to Oracle 8.1.6 from PB7? If so, how? Many thanks! Qi Hi 1st you have to install the Oracle-Client-SW and configure it. then you can connect to an Oracle-DB using the native-Driver - Frank Qi_Yang schrieb: > Hi there, > > I am new to PowerBuilder and have troubles to connect to Oracle 8.1.6 > from Powerbuilder 7. I have a book on PB7, and it says PB7 ...

connecting Powerbuilder 4.0 to Oracle 7.3
Hi I am trying to connect PB 4.0.07 to Oracle 7.3.4.4.0 . I can connect to oracle using sql*plus and when i use the same connect string I get an ora 09352 error "Windows 32 bit two task driver unable to spawn new oracle task". I am using sql net 2.3. I can connect to oracle using ODBC. I would appreciate help on this matter. Thanks -Jeya Please don't post duplicate messages under different headers. -- Terry Dykstra (TeamSybase) Canadian Forest Oil Ltd. Jeya wrote in message ... >Hi >I am trying to connect PB 4.0.07 to Oracle 7.3.4.4.0 . >I ca...

PowerBuilder 5.0 and Oracle 7.3, how do I connect them?
First let me say I am new to PowerBuilder *and* Oracle. Don't assume I know anything! I have the following setup: 1. PowerBuilder 5.0 running on Windows 95 2. Oracle SQL Plus v3.3.2.0.0 on the same Win95 machine. 3. Oracle 7.3 running on HPUX 10.20 I am able to connect to Oracle via SQL Plus. How do I connect to Oracle via PowerBuilder? When I attempt the connection I get the following error message. "ORA-03121: no interface driver connected - function not performed" I *do* have the proper .dlls for connecting to Oracle 7.1 and 7.2. I don't have either of tho...

PowerBuilder 6.5 with Oracle 8.1.7 Connectivity
Hi All, We use PowerBuilder 6.5 as the front-end tool and we would like to use Oracle 8.1.7 as the back-end database. I have heard that this configuration is not supported by Sybase at the moment. I would like to know what probable problem we will be likely to face for using this configuration. And what are the features of Oracle 8.1.7 that we will have problem to use? Any precious information or direction is much appreciated. Thank you very much in advance. Thanks and Best Regards, Monica you may want to check if Oracle web site has its own pboraX.dll for your purpose...

connecting to Oracle 8.05 and Oracle 8.1.6
I have an application currently connecting to Oracle 8.0.5. We wish to also connect to an Oracle dbase on version 8.1.6. I have tried PB 8 eval and have found that there is a major problem with Oracle 8.0.5 - all select statements return the error ora 01008: not all variables bound According to the sybase technote the pb 8 driver (pb08480.dll) connects to Oracle 8.04 through and including 8.17. It doesn't mention the problem with the select statement Can anyone tell me if PB 7.03 is ok with both versions of Oracle or suggest another workaround thanks Roisin ...

PowerBuilder 6.5 with Oracle 8.1.7 Connectivity
Hi All, We use PowerBuilder 6.5 as the front-end tool and we would like to use Oracle 8.1.7 as the back-end database. I have heard that this configuration is not supported by Sybase at the moment. I would like to know what probable problem we will be likely to face for using this configuration. And what are the features of Oracle 8.1.7 that we will have problem to use? Any precious information or direction is much appreciated. Thank you very much in advance. Thanks and Best Regards, Monica I go against 8.1.7 with 6.5 (build 1264) and 7.0.3. Haven't run into any is...

PowerBuilder 6.5 with Oracle 8.1.7 Connectivity
Hi All, We use PowerBuilder 6.5 as the front-end tool and we would like to use Oracle 8.1.7 as the back-end database. I have heard that this configuration is not supported by Sybase at the moment. I would like to know what probable problem we will be likely to face for using this configuration. And what are the features of Oracle 8.1.7 that we will have problem to use? Any precious information or direction is much appreciated. Thank you very much in advance. Thanks and Best Regards, Monica Monica, Since you're going to the trouble of installing or upgrading to Orac...

Web resources about - Connecting to Oracle 7.3 and Oracle 8 - sybase.powerbuilder.connection

List of Nebraska Connecting Link, Spur, and Recreation Highways - Wikipedia, the free encyclopedia
Nebraska Connecting Link , Nebraska Spur , and Nebraska Recreation Road highways are a secondary part of the Nebraska highway system . They connect ...

Israeli Hotel U Coral Beach Club Eilat Has a Unique Way of Connecting Guests to Facebook
U Coral Beach Club Eilat, a hotel in Israel , is taking sharing vacation photos and checking in to the next level thanks to a collaboration between ...

Digital Media Wire - connecting people & knowledge —
dmwnews : Anomaly, the ambitious graphic novel by Brittenham and Haberlin, features augmented reality. http://bit.ly/Iwrxjr Already optioned ...

Connecting 100 Million People in Africa
„Facebook for Business“ liefert dir aktuelle Nachrichten, Tipps und Best Practices für den Einsatz von Facebook zur Erreichung deiner Unternehmensziele: ...

Papa John’s Connecting with 200,000 Fans on Facebook
More brands are engaging with Facebook’s 150 million users through Facebook advertising solutions and the Facebook Platform, patterns of best ...

Home - WHLT 22 Connecting the Pine Belt Fan
Facebook is a social utility that connects people with friends and others who work, study and live around them. People use Facebook to keep up ...

US IT Staffing Recruiters Group - Connecting Ideas !
US IT Recruiter's Groups: IT Technical Recruitment. Its all about connecting to new Ideas !

Jewel Dots Puzzler - A Cool Connecting Dots Puzzle For Kids on the App Store on iTunes
Get Jewel Dots Puzzler - A Cool Connecting Dots Puzzle For Kids on the App Store. See screenshots and ratings, and read customer reviews.

Connecting the community, my Twitter strategy, and American Airlines at DFW - Flickr - Photo Sharing ...
I thought, to commemorate this entry on connecting people, that I'd include a photo of an airplane from one of the busiest airports in the world ...

Connecting an Arduino to a DSC 1550 Alarm Panel - YouTube
Have an old DSC-1550 (PC 1550) Alarm Panel? This video shows how to connect an Arduino to the panel, simulate a keypad, and monitor the state ...

Resources last updated: 12/21/2015 10:18:23 AM